
<?php
   // session_start();
    include_once('../config/conn/db-connection.php');
    include_once('../config/class/sap_model.php');
    $SAP = new SAP_infosytem();

        if(ISSET($_POST)){

               $username = trim($_POST['username']);
               $pass1 = trim($_POST['password']);
               $user_id = trim($_POST['user_id']);
               $pass=sha1($pass1);
               $salt="a1Bz20ydqelm8m1wqlxIseQ0zV";
               $password = $salt.$pass;

            // ==========audit trail==================
              $user = trim($_POST['user']);
               if(!empty($_SERVER["HTTP_CLIENT_IP"])){
                     $ip = $_SERVER["HTTP_CLIENT_IP"];
                  }elseif(!empty($_SERVER["HTTP_X_FORWARDED_FOR"])){ 
                     $ip = $_SERVER["HTTP_X_FORWARDED_FOR"];
                  }else{
                     $ip = $_SERVER["REMOTE_ADDR"];
                }
               $host = gethostbyaddr($_SERVER['REMOTE_ADDR']);
               date_default_timezone_set("asia/manila");
               $logdate =  date('M-d-Y h:i A', strtotime("+0 HOURS"));
               $action = "'Admin' will Update Account for. '".$username ."'";    
            // ==========end audit trail==============

               $SAP->edit_admin($username, $password, $user_id, $user, $ip, $host,  $logdate, $action);
                  echo '<script type="text/javascript">';
                  echo 'setTimeout(function () { swal("Update Admin Successfully!","Message!","success");';
                  echo '}, 1000);</script>';
                  echo '<script type="text/javascript">';
                  echo 'setTimeout(function(){';
                  echo 'window.location = "/SAP_Information_System/Dashboard/pages/Admin.php"';
                  echo '},1000)';
                  echo '</script>';
             
        }
?>